# module Vulnerability::Output

### Public Class Methods

metasploit_module_url(module_path) click to toggle source

@return [ String ] The url to the metasploit module page

    # File lib/common/models/vulnerability/output.rb, line 18
    def self.metasploit_module_url(module_path)
      # remove leading slash
      module_path = module_path.sub(/^\//, '')
      "http://www.metasploit.com/modules/#{module_path}"
    end

### Public Instance Methods

output() click to toggle source

output the vulnerability

    # File lib/common/models/vulnerability/output.rb, line 6
    def output
      puts ' |'
      puts ' | ' + red("* Title: #{title}")
      references.each do |r|
        puts ' | ' + red("* Reference: #{r}")
      end
      metasploit_modules.each do |m|
        puts ' | ' + red("* Metasploit module: #{Output.metasploit_module_url(m)}")
      end
    end